wibble::AssertFailed Struct Reference

`#include <test.h>`

## Public Member Functions

| AssertFailed (Location l, std::ostream &s=std::cerr)
| ~AssertFailed ()

## Public Attributes

std::ostream & | stream
std::ostringstream | str
bool | expect

## Constructor & Destructor Documentation

wibble::AssertFailed::AssertFailed | ( | Location | l,
|  | std::ostream & | s = `std::cerr`
| ) |  |

inline

References wibble::Location::file, wibble::Location::iteration, wibble::Location::line, and wibble::Location::stmt.

wibble::AssertFailed::~AssertFailed | ( |  | ) |

inline

References wibble::assertFailure.

## Member Data Documentation

bool wibble::AssertFailed::expect

std::ostringstream wibble::AssertFailed::str

Referenced by wibble::operator<<().

std::ostream& wibble::AssertFailed::stream

The documentation for this struct was generated from the following file:

- test.h